var http = require('http'), ip,
    redback = require('./').createClient(),
    ratelimit = redback.createRateLimit('requests', {bucket_interval: 10});

http.createServer(function (req, res) {
    ip = req.client.remoteAddress;

    ratelimit.add(ip);
    ratelimit.count(ip, 30, function (err, count) {
        if (count > 50) {
            res.end('Rate limit of 50 requests per 30 seconds reached (' + count + ')');
        } else {
            res.end('Hits in the last 30 seconds: ' + count);
        }
    });

    res.writeHead(200, {'Content-Type': 'text/plain'});

}).listen(8080, "127.0.0.1");
